
Application: gvSIG desktop - gvSIG bugs #2143
Too many open files after TIN geoprocess
12/17/2013 10:00 AM - Jose Manuel Vivó Arnal

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Geoprocess
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2214 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

I've been using  geoprocess to generate new layers. After a while, I found a strange behaviour in application. On shell console (and in
log file) I found this messages:

Caused by: java.io.FileNotFoundException:
/home/jmvivo/gvSIG/plugins/org.gvsig.exportto.app.mainplugin/plugin-persistence.dat (Too many open files)
    at java.io.FileOutputStream.open(Native Method)
    at java.io.FileOutputStream.<init>(FileOutputStream.java:194)
    at java.io.FileOutputStream.<init>(FileOutputStream.java:145)
    at org.gvsig.andami.PluginServices.savePluginProperties(PluginServices.java:809)
    ... 47 more

Log files attached.

History
#1 - 12/17/2013 10:45 AM - Jose Manuel Vivó Arnal
- File CN.tar.gz added
- Category changed from Application to Geoprocess

Also, I found on target folder more than 600 shp layers (tar file attached) which could (or supposes to) be geoprocess result.

#2 - 01/13/2014 09:53 AM - Álvaro Anguix
- Assignee set to Ignacio Brodín

#3 - 01/16/2014 11:59 AM - Álvaro Anguix
- Target version set to 2.1.0-2218-testing

#4 - 01/17/2014 11:28 AM - Ignacio Brodín
- Status changed from New to Awaiting response

I don't know what I have to do to reproduce this error. Which geoprocess do I have to launch? 
If I cannot get the geoprocess, could you explain the operation? (Inputs, outputs, process, files that use...)
Why was the result that you expected? and, what did you get? did it finalize correctly?...

It seems that something opened the maximum number of files and other part of the application tried to open one more. Even probably without user
interaction. That could be the source of the log. I'd like to find out what opened so many files.

#5 - 01/17/2014 11:58 AM - Álvaro Anguix
- Status changed from Awaiting response to Closed

Nacho, me ha pasado Chema las capas y hemos comprobado en el 2216 y ya funciona correctamente.
Así que cierro el bug.
El geoproceso era "Crear TIN empleando líneas de ruptura"

#6 - 01/21/2014 09:27 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2217-devel

Files
gvSIG.log.tar.gz 37.5 KB 12/17/2013 Jose Manuel Vivó Arnal
CN.tar.gz 21 KB 12/17/2013 Jose Manuel Vivó Arnal
